/*
 *  plugin-config.c - A plugin configuration tool
 *
 *  by Martin Stransky <stransky@redhat.com>
 *
 *  This utility is based on:
 *
 *  npw-config.c - nspluginwrapper configuration tool 
 *  nspluginwrapper (C) 2005-2007 Gwenole Beauchesne
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __PLUGIN_CONFIG_H__
#define __PLUGIN_CONFIG_H__

typedef struct _WRAP_PLUGIN {

  WRAP_NAME   dir;      // wrapped dirs
  WRAP_NAME   file;     // wrapped files
  
  int         s_bits;   // Source bits of plugin (32/64)
  int         t_bits;   // Target bits of plugin (32/64)

} WRAP_PLUGIN;

#define NPW_WRAPPER_PLUGIN   "npwrapper.so"  // Don't process this plugin

void warning(const char *format,...);
void error(const char *format,...);
void info(const char *format, ...);

int is_setuid(void);
int drop_setuid(void);

#endif // __PLUGIN_CONFIG_H__
