/*
 *  plugin-detection.c - A plugin configuration tool
 *
 *  by Martin Stransky <stransky@redhat.com>
 *
 *  This utility is based on:
 *
 *  npw-config.c - nspluginwrapper configuration tool 
 *  nspluginwrapper (C) 2005-2007 Gwenole Beauchesne
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __PLUGIN_DETECTION_H__
#define __PLUGIN_DETECTION_H__

#define NPW_PLUGIN_IDENT_SIZE         32

#define NPW_PLUGININFO_TARGET_LENGTH  65

typedef struct __attribute__((packed)) {
  
  char ident[NPW_PLUGIN_IDENT_SIZE];
  char path[PATH_MAX];
  time_t mtime;
  char target_arch[NPW_PLUGININFO_TARGET_LENGTH];
  char target_os[NPW_PLUGININFO_TARGET_LENGTH];
  
} NPW_PLUGININFO;

#ifndef FALSE
#define FALSE (1!=1)
#endif

#ifndef TRUE
#define TRUE  (1==1)
#endif

int  is_plugin_fd_32(int fd, NPW_PLUGININFO * out_plugin_info);
int  is_plugin_fd_64(int fd, NPW_PLUGININFO * out_plugin_info);
int  is_plugin_fd(int fd, NPW_PLUGININFO * out_plugin_info);
int  is_plugin(const char *filename, NPW_PLUGININFO * out_plugin_info);

int  is_wrapper_plugin_handle(void *handle, NPW_PLUGININFO * out_plugin_info);
int  is_wrapper_plugin(const char *plugin_path, NPW_PLUGININFO * out_plugin_info);

#endif // __PLUGIN_DETECTION_H__
