/*
 *  plugin-dir.h - Directory management for plugin configuration tool
 *
 *  by Martin Stransky <stransky@redhat.com>
 *
 *  This utility is based on:
 *
 *  npw-config.c - nspluginwrapper configuration tool 
 *  nspluginwrapper (C) 2005-2007 Gwenole Beauchesne
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __PLUGIN_DIR_H__
#define __PLUGIN_DIR_H__

#define MAX_NAME   (PATH_MAX+NAME_MAX)

typedef struct _WRAP_NAME {

  char name[MAX_NAME];
  char name_wrapped[MAX_NAME];
  char name_linked[MAX_NAME];
  
} WRAP_NAME;

typedef enum {
  
  BITS_ALL = 0,
  BITS_32 = 32,
  BITS_64 = 64
  
} BITS;

WRAP_NAME * get_plugin_dir(const char *p_arch);
WRAP_NAME * get_plugin_dir_bits(int bits);

WRAP_NAME * get_plugin(const char *p_arch, const char *p_plugin);
WRAP_NAME * get_plugin_bits(int bits, const char *p_plugin);

char      * get_viewer(const char * p_arch);
char      * get_viewer_bits(int bits);

char      * get_wrapper(const char * p_arch);
char      * get_wrapper_bits(int bits);

int         get_bits(const char *p_arch);

#endif // __PLUGIN_DIR_H__
